Package net.shibboleth.idp.authn

# Class AbstractValidationAction.MessageChecker

java.lang.Object
net.shibboleth.idp.authn.AbstractValidationAction.MessageChecker

All Implemented Interfaces:
  `Predicate<String>`

Enclosing class:
  AbstractValidationAction

private class AbstractValidationAction.MessageChecker extends Object implements Predicate<String>
A predicate that examines a message to see if it contains a particular String.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`s`
Message to operate on.

## Constructor Summary

Constructors
Constructor
Description
`MessageChecker(String msg)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### s

@Nonnull @NotEmpty private final String s
Message to operate on.

## Constructor Details

### MessageChecker

public MessageChecker(@Nonnull @NotEmpty String msg)
Constructor.

Parameters:
  `msg` - to operate on

## Method Details

### test

public boolean test(String input)

Specified by:
  `test` in interface `Predicate<String>`